#ifndef TIMER_H
#define TIMER_H

#include <allegro.h>

#ifndef WIN32
	#include <cstdlib>
	#include <sys/time.h>
	#include <unistd.h>
#else
	#include <winalleg.h>
#endif

class Timer{
private:
	#ifndef WIN32
		static LONG_LONG secondsToMicro;
	#else
		static LARGE_INTEGER currentTime;
		static LARGE_INTEGER frequency;
	#endif

	LONG_LONG start;

public:
	static void Intialize();
	static LONG_LONG GetCurrentTime();
	static LONG_LONG GetPrecision();
	static LONG_LONG GetElapsedTimeMsec(LONG_LONG lastTime);
	static float GetElapsedTimeSeconds(LONG_LONG lastTime);

	void StartStopwatch();
	LONG_LONG GetStopwatchTimeMsec();
	float GetStopwatchTimeSec();
};

#endif
